## org.eclipse.datatools.connectivity.drivers
Class DefaultDriverValuesProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.drivers.DefaultDriverValuesProvider

All Implemented Interfaces:
  IDriverValuesProvider

    public class DefaultDriverValuesProvider

extends java.lang.Object
implements IDriverValuesProvider

Field Summary

Fields inherited from interface org.eclipse.datatools.connectivity.drivers.IDriverValuesProvider
`VALUE_CREATE_DEFAULT, VALUE_DEFAULT_DEFINITION_NAME, VALUE_JARLIST, VALUE_NAME`

Constructor Summary
`DefaultDriverValuesProvider()`

Method Summary
`java.lang.String` `createDefaultValue(java.lang.String key)`
`TemplateDescriptor` `getDriverTemplate()`
`void` `setDriverTemplate(TemplateDescriptor template)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDriverValuesProvider

    public DefaultDriverValuesProvider()

Method Detail

### createDefaultValue

    public java.lang.String createDefaultValue(java.lang.String key)

  Specified by:
    `createDefaultValue` in interface `IDriverValuesProvider`

### setDriverTemplate

    public void setDriverTemplate(TemplateDescriptor template)

  Specified by:
    `setDriverTemplate` in interface `IDriverValuesProvider`

### getDriverTemplate

    public TemplateDescriptor getDriverTemplate()

  Specified by:
    `getDriverTemplate` in interface `IDriverValuesProvider`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.